# File for gnuplot
# Use it in an xterminal:
#     prompt> gnuplot
#    gnuplot> load 'pl-2f.gnuplot'

set termoption enhanced

set size 1., 1.0
set origin 0.0, 0.0

set multiplot layout 2,4 rowsfirst

# Panel 1:
# --------
set size 0.5,1.
set origin 0.,0.

unset key
set xrange[0:0.25]
set yrange[-0.1:1.]
set label 2 'f(d)' at graph 0.7,0.9 font 'Times,14' tc rgb 'brown'
set xlabel 'd' font 'Times,14'
set xtics auto
set mxtics 2
plot '00.fR-analytic.dat' w l lw 2 linecolor rgb "dark-orange"  \
    ,'02.fR-end.dat'   w l      linecolor rgb "brown" \
    ,'02.fR-end.dat'   w p ls 3 linecolor rgb "brown"
unset label 1
unset label 2
unset label 3
      
# Panel 2:
# --------
set size 0.5,1.
set origin 0.5,0.

unset key
set xrange[-pi:pi]
set yrange[-2:2]
set label 2 'g({/Symbol y})' at graph 0.2,0.9 font 'Times,14' tc rgb 'brown'
set xlabel '{/Symbol y}' font 'Times,14'
set arrow 1 from      0,-2 to      0,2.  nohead linecolor rgb 'black'
set arrow 2 from  pi/2.,-1 to  pi/2.,1.  nohead dt '-' linecolor rgb 'black'
set arrow 3 from -pi/2.,-1 to -pi/2.,1.  nohead dt '-' linecolor rgb 'black'
plot '00.gR-analytic.dat' w l lw 2  linecolor rgb "dark-orange" \
    ,'02.gR-end.dat'   w l      linecolor rgb "brown"  \
    ,'02.gR-end.dat'   w p ls 3 linecolor rgb "brown" \
    ,0. linecolor rgb "black"
    
unset label 1
unset label 2
unset label 3
unset arrow 1
unset arrow 2
unset arrow 3

unset multiplot
### End multiplot