# Xtract

This program implements the method presented in 
_A data-driven method for modelling and reconstructing social interactions in moving animal groups_,
 R. Escobedo, V. Lecheval, V. Papaspyros, F. Bonnet, F. Mondada, C. Sire and G. Theraulaz. 

It consists of four files:

- **xtract.f** is the main program,

- **2hemigr.dat** contains the data from real fish experiments with pairs of *Hemigrammus rhodostomus,*

- **2zebraf.dat** contains the data from real fish experiments with pairs of *Danio rerio,*

- **pl-2f.gnuplot** is the program to visualise the results.

The program extracts interaction functions in three different cases:

- Case 1.1. For data homogeneously distributed (eps = 1)

- Case 1.2. Using the data distribution of real fish experiments, borrowed from the experimental datafiles used in the article and in [Calovi2018].

- Case 2. From real data of fish experiments, _D. rerio_ (2zebraf.dat) or _H. rhodostomus_  (2hemigr.dat).

Datafiles have 5 columns structured in events:

| event_id     | fish_id | time  | x(t) | y(t) |
| ------------ | ------- | ----- | ---- | ---- |
| 1 --> Nevent | 1 or 2  | (sec) | (m)  | (m)  |

To select an option, edit the file xtract.f (lines 93--95) and choose the corresponding value of the variable IOP:

- IOP = 1: Case 1.1: analytical & homogeneous 
- IOP = 2: Case 1.2: analytical & real distribution
- IOP = 3: Case 2: from experimental data  

[Calovi2018]: _Disentangling and modeling interactions in fish with burst-and-coast swimming reveal distinct alignment and attraction behaviors_, Calovi DS, Litchinko A, Lecheval V, Lopez U, Pérez Escudero A, et al. (2018). PLOS Computational Biology 14(1): e1005933.
https://doi.org/10.1371/journal.pcbi.1005933

## Getting Started

### Prerequisites

A fortran compiler supporting Fortran 90 and gnuplot for visualisations.
Download all files in the same directory.

### Installing

Compile with:
```> gfortran -O2 xtract.f -o dale```

## Running the tests

Run with:

```> dale```
Plot the result (i.e., the interaction functions) with:
```> gnuplot```
```gnuplot> load "pl-2f.gnuplot"```

## Authors

- **Ramón Escobedo** - escobedor@gmail.com
- Valentin Lecheval
- Vaios Papaspyros
- Frank Bonnet
- Francesco Mondada
- Clément Sire
- Guy Theraulaz


## License

This files xtract.f and pl-2f.gnuplot are licensed under the Creative Commons Attribution-ShareAlike 4.0 International license (CC BY-SA 4.0) - https://creativecommons.org/licenses/by-sa/4.0/
